summaryrefslogtreecommitdiffstats
path: root/test/test1.sh
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-06-15 13:30:12 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-06-15 13:31:20 +0000
commit83d859286db8a184054a5e05f707953634c82604 (patch)
treed7224227db27abba7a9d21e1c2f074c0d7541f9a /test/test1.sh
parentec6359732dec5651567f593d07871b5b7997c91d (diff)
downloadapk-tools-83d859286db8a184054a5e05f707953634c82604.tar.bz2
apk-tools-83d859286db8a184054a5e05f707953634c82604.tar.xz
test: initial testsuite
Diffstat (limited to 'test/test1.sh')
-rwxr-xr-xtest/test1.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/test1.sh b/test/test1.sh
new file mode 100755
index 0000000..ce28a05
--- /dev/null
+++ b/test/test1.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# desc: test if basic add/del/upgrade works
+
+$APK add --root $ROOT --initdb --repository $PWD/repo1 test-a
+
+test "$($ROOT/usr/bin/test-a)" = "hello from test-a-1.0"
+
+$APK upgrade --root $ROOT --repository $PWD/repo2
+
+test "$($ROOT/usr/bin/test-a)" = "hello from test-a-1.1"
+
+$APK del --root $ROOT test-a
+
+[ -x "$ROOT/usr/bin/test-a" ] || true